List dashboard revisions
curl --request GET \
--url https://api.akua.dev/v1/dashboards/{id}/revisions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/dashboards/{id}/revisions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/dashboards/{id}/revisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"dashboard_id": "<string>",
"workspace_id": "<string>",
"parent_revision_id": "<string>",
"restored_from_revision_id": "<string>",
"author_id": "<string>",
"summary": "<string>",
"name": "<string>",
"description": "<string>",
"filter_definitions": [
{
"kind": "time",
"key": "time",
"label": "<string>"
}
],
"default_filter_values": {},
"widgets": [
{
"widget_id": "<string>",
"position": 1,
"title": "<string>",
"col_span": 1,
"drill_down": "<string>",
"visualization_options": {},
"freshness_policy": {
"mode": "provider_default"
},
"widget_type": "snippet",
"snippet_id": "<string>",
"snippet_etag": "<string>",
"input_bindings": {},
"refresh_policy": {
"mode": "on_load"
}
}
],
"structural_diff": {
"version": 1,
"dashboard_fields": [],
"widgets": {
"added": {
"count": 1,
"widget_ids": [
"<string>"
]
},
"removed": {
"count": 1,
"widget_ids": [
"<string>"
]
},
"changed": {
"count": 1,
"widgets": [
{
"widget_id": "<string>",
"fields": []
}
]
}
}
},
"snippet_etag_drift": [
{
"widget_id": "<string>",
"snippet_id": "<string>",
"snapshot_etag": "<string>",
"current_etag": "<string>"
}
],
"created_at": 1
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Dashboards
List dashboard revisions
Lists immutable dashboard revisions from newest to oldest.
GET
/
dashboards
/
{id}
/
revisions
List dashboard revisions
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Path Parameters
Required string length:
1 - 55Query Parameters
Pagination cursor from a previous response's next_cursor.
Dashboard revisions per page (1-10, default 10)
Required range:
1 <= x <= 10Example:
10
⌘I